<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>index</name>
    <title>KTNEF - an API for handling TNEF data.</title>
    <filename>index</filename>
    <docanchor file="index">desc</docanchor>
    <docanchor file="index">purpose</docanchor>
  </compound>
  <compound kind="file">
    <name>formatter.cpp</name>
    <path>/builddir/build/BUILD/kdepimlibs-4.0.85/ktnef/</path>
    <filename>formatter_8cpp</filename>
    <includes id="formatter_8h" name="formatter.h" local="yes" imported="no">formatter.h</includes>
    <includes id="ktnefparser_8h" name="ktnefparser.h" local="yes" imported="no">ktnefparser.h</includes>
    <includes id="ktnefmessage_8h" name="ktnefmessage.h" local="yes" imported="no">ktnefmessage.h</includes>
    <includes id="ktnefdefs_8h" name="ktnefdefs.h" local="yes" imported="no">ktnefdefs.h</includes>
    <member kind="function">
      <type>QString</type>
      <name>formatTNEFInvitation</name>
      <anchorfile>namespaceKTnef.html</anchorfile>
      <anchor>db63ea8b0226baf3e7f41142c3ed2580</anchor>
      <arglist>(const QByteArray &amp;tnef, KCal::Calendar *cal, KCal::InvitationFormatterHelper *h)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>msTNEFToVPart</name>
      <anchorfile>namespaceKTnef.html</anchorfile>
      <anchor>ba762973afd4a368e444499a6a4eceaf</anchor>
      <arglist>(const QByteArray &amp;tnef)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>formatter.h</name>
    <path>/builddir/build/BUILD/kdepimlibs-4.0.85/ktnef/</path>
    <filename>formatter_8h</filename>
    <namespace>KCal</namespace>
    <namespace>KTnef</namespace>
    <member kind="function">
      <type>QString</type>
      <name>formatTNEFInvitation</name>
      <anchorfile>namespaceKTnef.html</anchorfile>
      <anchor>db63ea8b0226baf3e7f41142c3ed2580</anchor>
      <arglist>(const QByteArray &amp;tnef, KCal::Calendar *cal, KCal::InvitationFormatterHelper *h)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>msTNEFToVPart</name>
      <anchorfile>namespaceKTnef.html</anchorfile>
      <anchor>ba762973afd4a368e444499a6a4eceaf</anchor>
      <arglist>(const QByteArray &amp;tnef)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>ktnefattach.cpp</name>
    <path>/builddir/build/BUILD/kdepimlibs-4.0.85/ktnef/</path>
    <filename>ktnefattach_8cpp</filename>
    <includes id="ktnefattach_8h" name="ktnefattach.h" local="yes" imported="no">ktnefattach.h</includes>
    <includes id="ktnefproperty_8h" name="ktnefproperty.h" local="yes" imported="no">ktnefproperty.h</includes>
  </compound>
  <compound kind="file">
    <name>ktnefattach.h</name>
    <path>/builddir/build/BUILD/kdepimlibs-4.0.85/ktnef/</path>
    <filename>ktnefattach_8h</filename>
    <includes id="ktnefpropertyset_8h" name="ktnefpropertyset.h" local="yes" imported="no">ktnefpropertyset.h</includes>
    <namespace>KTnef</namespace>
    <class kind="class">KTnef::KTNEFAttach</class>
  </compound>
  <compound kind="file">
    <name>ktnefdefs.h</name>
    <path>/builddir/build/BUILD/kdepimlibs-4.0.85/ktnef/</path>
    <filename>ktnefdefs_8h</filename>
  </compound>
  <compound kind="file">
    <name>ktnefmessage.cpp</name>
    <path>/builddir/build/BUILD/kdepimlibs-4.0.85/ktnef/</path>
    <filename>ktnefmessage_8cpp</filename>
    <includes id="ktnefmessage_8h" name="ktnefmessage.h" local="yes" imported="no">ktnefmessage.h</includes>
    <includes id="ktnefattach_8h" name="ktnefattach.h" local="yes" imported="no">ktnefattach.h</includes>
    <includes id="lzfu_8h" name="lzfu.h" local="yes" imported="no">lzfu.h</includes>
  </compound>
  <compound kind="file">
    <name>ktnefmessage.h</name>
    <path>/builddir/build/BUILD/kdepimlibs-4.0.85/ktnef/</path>
    <filename>ktnefmessage_8h</filename>
    <includes id="ktnefpropertyset_8h" name="ktnefpropertyset.h" local="yes" imported="no">ktnefpropertyset.h</includes>
    <namespace>KTnef</namespace>
    <class kind="class">KTnef::KTNEFMessage</class>
  </compound>
  <compound kind="file">
    <name>ktnefparser.cpp</name>
    <path>/builddir/build/BUILD/kdepimlibs-4.0.85/ktnef/</path>
    <filename>ktnefparser_8cpp</filename>
    <includes id="ktnefparser_8h" name="ktnefparser.h" local="yes" imported="no">ktnefparser.h</includes>
    <includes id="ktnefattach_8h" name="ktnefattach.h" local="yes" imported="no">ktnefattach.h</includes>
    <includes id="ktnefproperty_8h" name="ktnefproperty.h" local="yes" imported="no">ktnefproperty.h</includes>
    <includes id="ktnefmessage_8h" name="ktnefmessage.h" local="yes" imported="no">ktnefmessage.h</includes>
    <includes id="ktnefdefs_8h" name="ktnefdefs.h" local="yes" imported="no">ktnefdefs.h</includes>
  </compound>
  <compound kind="file">
    <name>ktnefparser.h</name>
    <path>/builddir/build/BUILD/kdepimlibs-4.0.85/ktnef/</path>
    <filename>ktnefparser_8h</filename>
    <namespace>KTnef</namespace>
    <class kind="class">KTnef::KTNEFParser</class>
  </compound>
  <compound kind="file">
    <name>ktnefproperty.cpp</name>
    <path>/builddir/build/BUILD/kdepimlibs-4.0.85/ktnef/</path>
    <filename>ktnefproperty_8cpp</filename>
    <includes id="ktnefproperty_8h" name="ktnefproperty.h" local="yes" imported="no">ktnefproperty.h</includes>
    <includes id="mapi_8h" name="mapi.h" local="yes" imported="no">mapi.h</includes>
  </compound>
  <compound kind="file">
    <name>ktnefproperty.h</name>
    <path>/builddir/build/BUILD/kdepimlibs-4.0.85/ktnef/</path>
    <filename>ktnefproperty_8h</filename>
    <namespace>KTnef</namespace>
    <class kind="class">KTnef::KTNEFProperty</class>
  </compound>
  <compound kind="file">
    <name>ktnefpropertyset.cpp</name>
    <path>/builddir/build/BUILD/kdepimlibs-4.0.85/ktnef/</path>
    <filename>ktnefpropertyset_8cpp</filename>
    <includes id="ktnefpropertyset_8h" name="ktnefpropertyset.h" local="yes" imported="no">ktnefpropertyset.h</includes>
    <includes id="ktnefproperty_8h" name="ktnefproperty.h" local="yes" imported="no">ktnefproperty.h</includes>
  </compound>
  <compound kind="file">
    <name>ktnefpropertyset.h</name>
    <path>/builddir/build/BUILD/kdepimlibs-4.0.85/ktnef/</path>
    <filename>ktnefpropertyset_8h</filename>
    <namespace>KTnef</namespace>
    <class kind="class">KTnef::KTNEFPropertySet</class>
  </compound>
  <compound kind="file">
    <name>ktnefwriter.cpp</name>
    <path>/builddir/build/BUILD/kdepimlibs-4.0.85/ktnef/</path>
    <filename>ktnefwriter_8cpp</filename>
    <includes id="ktnefwriter_8h" name="ktnefwriter.h" local="yes" imported="no">ktnefwriter.h</includes>
    <includes id="ktnefproperty_8h" name="ktnefproperty.h" local="yes" imported="no">ktnefproperty.h</includes>
    <includes id="ktnefpropertyset_8h" name="ktnefpropertyset.h" local="yes" imported="no">ktnefpropertyset.h</includes>
    <includes id="ktnefdefs_8h" name="ktnefdefs.h" local="yes" imported="no">ktnefdefs.h</includes>
  </compound>
  <compound kind="file">
    <name>ktnefwriter.h</name>
    <path>/builddir/build/BUILD/kdepimlibs-4.0.85/ktnef/</path>
    <filename>ktnefwriter_8h</filename>
    <namespace>KTnef</namespace>
    <class kind="class">KTnef::KTNEFWriter</class>
  </compound>
  <compound kind="file">
    <name>lzfu.cpp</name>
    <path>/builddir/build/BUILD/kdepimlibs-4.0.85/ktnef/</path>
    <filename>lzfu_8cpp</filename>
    <includes id="lzfu_8h" name="lzfu.h" local="yes" imported="no">lzfu.h</includes>
    <member kind="function">
      <type>int</type>
      <name>lzfu_decompress</name>
      <anchorfile>lzfu_8cpp.html</anchorfile>
      <anchor>6afde5357c02fb7549294d2497e7ccc4</anchor>
      <arglist>(QIODevice *input, QIODevice *output)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>lzfu.h</name>
    <path>/builddir/build/BUILD/kdepimlibs-4.0.85/ktnef/</path>
    <filename>lzfu_8h</filename>
    <member kind="function">
      <type>int</type>
      <name>lzfu_decompress</name>
      <anchorfile>lzfu_8h.html</anchorfile>
      <anchor>6afde5357c02fb7549294d2497e7ccc4</anchor>
      <arglist>(QIODevice *input, QIODevice *output)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>mapi.cpp</name>
    <path>/builddir/build/BUILD/kdepimlibs-4.0.85/ktnef/</path>
    <filename>mapi_8cpp</filename>
    <includes id="mapi_8h" name="mapi.h" local="yes" imported="no">mapi.h</includes>
    <member kind="function">
      <type>QString</type>
      <name>mapiNamedTagString</name>
      <anchorfile>mapi_8cpp.html</anchorfile>
      <anchor>6a9839cb83df62adbc127a841449c342</anchor>
      <arglist>(int key, int tag)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>mapiTagString</name>
      <anchorfile>mapi_8cpp.html</anchorfile>
      <anchor>4192bb11c66c11b9437fd8c2bfe5318e</anchor>
      <arglist>(int key)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>mapi.h</name>
    <path>/builddir/build/BUILD/kdepimlibs-4.0.85/ktnef/</path>
    <filename>mapi_8h</filename>
    <member kind="function">
      <type>QString</type>
      <name>mapiNamedTagString</name>
      <anchorfile>mapi_8h.html</anchorfile>
      <anchor>c3e625bcc27bf74dff589b04889f4f29</anchor>
      <arglist>(int key, int tag=-1)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>mapiTagString</name>
      <anchorfile>mapi_8h.html</anchorfile>
      <anchor>4192bb11c66c11b9437fd8c2bfe5318e</anchor>
      <arglist>(int key)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>KTnef</name>
    <filename>namespaceKTnef.html</filename>
    <class kind="class">KTnef::KTNEFAttach</class>
    <class kind="class">KTnef::KTNEFMessage</class>
    <class kind="class">KTnef::KTNEFParser</class>
    <class kind="class">KTnef::KTNEFProperty</class>
    <class kind="class">KTnef::KTNEFPropertySet</class>
    <class kind="class">KTnef::KTNEFWriter</class>
    <member kind="function">
      <type>QString</type>
      <name>formatTNEFInvitation</name>
      <anchorfile>namespaceKTnef.html</anchorfile>
      <anchor>db63ea8b0226baf3e7f41142c3ed2580</anchor>
      <arglist>(const QByteArray &amp;tnef, KCal::Calendar *cal, KCal::InvitationFormatterHelper *h)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>msTNEFToVPart</name>
      <anchorfile>namespaceKTnef.html</anchorfile>
      <anchor>ba762973afd4a368e444499a6a4eceaf</anchor>
      <arglist>(const QByteArray &amp;tnef)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTnef::KTNEFAttach</name>
    <filename>classKTnef_1_1KTNEFAttach.html</filename>
    <base>KTnef::KTNEFPropertySet</base>
    <member kind="enumeration">
      <name>ParseState</name>
      <anchorfile>classKTnef_1_1KTNEFAttach.html</anchorfile>
      <anchor>feb79eec22042e2a900cee5cb499efd5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Unparsed</name>
      <anchorfile>classKTnef_1_1KTNEFAttach.html</anchorfile>
      <anchor>feb79eec22042e2a900cee5cb499efd5a481a195474bbf66e8cf24f8db80d900</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>TitleParsed</name>
      <anchorfile>classKTnef_1_1KTNEFAttach.html</anchorfile>
      <anchor>feb79eec22042e2a900cee5cb499efd5e7fe0dfad8bd11ba0e1989966e44256a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>DataParsed</name>
      <anchorfile>classKTnef_1_1KTNEFAttach.html</anchorfile>
      <anchor>feb79eec22042e2a900cee5cb499efd55af661233b1471b88de9341477ff0c73</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>InfoParsed</name>
      <anchorfile>classKTnef_1_1KTNEFAttach.html</anchorfile>
      <anchor>feb79eec22042e2a900cee5cb499efd56a94e9b7559408378da52e0e9214db02</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>checkState</name>
      <anchorfile>classKTnef_1_1KTNEFAttach.html</anchorfile>
      <anchor>bd67a827a7287257d1c0a45a3c07aa96</anchor>
      <arglist>(int state) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>dataParsed</name>
      <anchorfile>classKTnef_1_1KTNEFAttach.html</anchorfile>
      <anchor>db164e1ecbb3e3da2c287fcb9efa961d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>displayName</name>
      <anchorfile>classKTnef_1_1KTNEFAttach.html</anchorfile>
      <anchor>2ee53d71ea3a37cc16374f3d5be9935a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>displaySize</name>
      <anchorfile>classKTnef_1_1KTNEFAttach.html</anchorfile>
      <anchor>e73f3b760a79fc6589297afa13567150</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>extension</name>
      <anchorfile>classKTnef_1_1KTNEFAttach.html</anchorfile>
      <anchor>4480ce8f575de2f9264087a26360afbb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>fileName</name>
      <anchorfile>classKTnef_1_1KTNEFAttach.html</anchorfile>
      <anchor>38d2e233366c3ea59e9b493066bd50e7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>index</name>
      <anchorfile>classKTnef_1_1KTNEFAttach.html</anchorfile>
      <anchor>cd44dab8e3ee56eced22e7bd69a5ae7a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>infoParsed</name>
      <anchorfile>classKTnef_1_1KTNEFAttach.html</anchorfile>
      <anchor>feaa85f33ea039ff38e9201e791471e3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KTNEFAttach</name>
      <anchorfile>classKTnef_1_1KTNEFAttach.html</anchorfile>
      <anchor>84ecef63f4b2fae3df1fdb44a1ebc9c4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>mimeTag</name>
      <anchorfile>classKTnef_1_1KTNEFAttach.html</anchorfile>
      <anchor>bf6d2dcdac70f6a3968cd9ee4815e827</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>name</name>
      <anchorfile>classKTnef_1_1KTNEFAttach.html</anchorfile>
      <anchor>97320496a91dffe9495aace67e4a92eb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>offset</name>
      <anchorfile>classKTnef_1_1KTNEFAttach.html</anchorfile>
      <anchor>5fe3959f8917f1581d8e30c35921a6d1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDataParsed</name>
      <anchorfile>classKTnef_1_1KTNEFAttach.html</anchorfile>
      <anchor>74ea0f6ea5e3a460f80c506d2c2db22a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDisplayName</name>
      <anchorfile>classKTnef_1_1KTNEFAttach.html</anchorfile>
      <anchor>c40367e26dac59c1c572e1e39f338ae0</anchor>
      <arglist>(const QString &amp;str)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDisplaySize</name>
      <anchorfile>classKTnef_1_1KTNEFAttach.html</anchorfile>
      <anchor>b8d3ac856caf5d8de978639b5145543c</anchor>
      <arglist>(int size)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setExtension</name>
      <anchorfile>classKTnef_1_1KTNEFAttach.html</anchorfile>
      <anchor>546bb86ed9ae7c174b3cbbaee1211ab1</anchor>
      <arglist>(const QString &amp;str)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFileName</name>
      <anchorfile>classKTnef_1_1KTNEFAttach.html</anchorfile>
      <anchor>011a209ea5f9e588d9900c96c560fcc0</anchor>
      <arglist>(const QString &amp;str)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setIndex</name>
      <anchorfile>classKTnef_1_1KTNEFAttach.html</anchorfile>
      <anchor>55935889376190cf37936f5b955e8183</anchor>
      <arglist>(int indx)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setInfoParsed</name>
      <anchorfile>classKTnef_1_1KTNEFAttach.html</anchorfile>
      <anchor>443b108f9a6fa2fede3b44d0474327bb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMimeTag</name>
      <anchorfile>classKTnef_1_1KTNEFAttach.html</anchorfile>
      <anchor>6fc8eaf529599522babf6b992eafd03a</anchor>
      <arglist>(const QString &amp;str)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setName</name>
      <anchorfile>classKTnef_1_1KTNEFAttach.html</anchorfile>
      <anchor>9385337747c4e770421064ab27f2d562</anchor>
      <arglist>(const QString &amp;str)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setOffset</name>
      <anchorfile>classKTnef_1_1KTNEFAttach.html</anchorfile>
      <anchor>5af2c1baa4c38342ff10d440fdc1b50b</anchor>
      <arglist>(int offset)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSize</name>
      <anchorfile>classKTnef_1_1KTNEFAttach.html</anchorfile>
      <anchor>26361f261a268f014b272e7269f5c3bd</anchor>
      <arglist>(int size)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTitleParsed</name>
      <anchorfile>classKTnef_1_1KTNEFAttach.html</anchorfile>
      <anchor>20d498587278f2d3473c4635eb198d50</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>size</name>
      <anchorfile>classKTnef_1_1KTNEFAttach.html</anchorfile>
      <anchor>e2bcb7e2644d02c1d3ab21d754ef8088</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>titleParsed</name>
      <anchorfile>classKTnef_1_1KTNEFAttach.html</anchorfile>
      <anchor>026a1834dc09a55d7b0395ba445b16e8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>unsetDataParser</name>
      <anchorfile>classKTnef_1_1KTNEFAttach.html</anchorfile>
      <anchor>7e6a06cfaea35526820957e2b0b1e672</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KTNEFAttach</name>
      <anchorfile>classKTnef_1_1KTNEFAttach.html</anchorfile>
      <anchor>b940331d12f18a31d56defee4148f366</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTnef::KTNEFMessage</name>
    <filename>classKTnef_1_1KTNEFMessage.html</filename>
    <base>KTnef::KTNEFPropertySet</base>
    <member kind="function">
      <type>void</type>
      <name>addAttachment</name>
      <anchorfile>classKTnef_1_1KTNEFMessage.html</anchorfile>
      <anchor>61752e217d3cb0341c37837405bee91b</anchor>
      <arglist>(KTNEFAttach *attach)</arglist>
    </member>
    <member kind="function">
      <type>KTNEFAttach *</type>
      <name>attachment</name>
      <anchorfile>classKTnef_1_1KTNEFMessage.html</anchorfile>
      <anchor>0dd74fbeec16219c80ba9fd645183016</anchor>
      <arglist>(const QString &amp;filename) const </arglist>
    </member>
    <member kind="function">
      <type>const QList&lt; KTNEFAttach * &gt; &amp;</type>
      <name>attachmentList</name>
      <anchorfile>classKTnef_1_1KTNEFMessage.html</anchorfile>
      <anchor>57ced88e7a6c5f8ed598fee6be6fa24f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clearAttachments</name>
      <anchorfile>classKTnef_1_1KTNEFMessage.html</anchorfile>
      <anchor>09bc8d1519d28721aa75bc14699ef23a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KTNEFMessage</name>
      <anchorfile>classKTnef_1_1KTNEFMessage.html</anchorfile>
      <anchor>e2f622d8a800bfa78e7502242fbd1b66</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>rtfString</name>
      <anchorfile>classKTnef_1_1KTNEFMessage.html</anchorfile>
      <anchor>df4af658084dd1ec1bac0f63e9f39a87</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KTNEFMessage</name>
      <anchorfile>classKTnef_1_1KTNEFMessage.html</anchorfile>
      <anchor>624db471b839c2915548bced7c3f3a41</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTnef::KTNEFParser</name>
    <filename>classKTnef_1_1KTNEFParser.html</filename>
    <member kind="function">
      <type>bool</type>
      <name>extractAll</name>
      <anchorfile>classKTnef_1_1KTNEFParser.html</anchorfile>
      <anchor>88b43c86558946bb18d2f183e8707c65</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>extractFile</name>
      <anchorfile>classKTnef_1_1KTNEFParser.html</anchorfile>
      <anchor>75096c72a154b9775e1a4745cf70114d</anchor>
      <arglist>(const QString &amp;filename) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>extractFileTo</name>
      <anchorfile>classKTnef_1_1KTNEFParser.html</anchorfile>
      <anchor>2cc975956b3cc481573eade0a7465153</anchor>
      <arglist>(const QString &amp;filename, const QString &amp;dirname) const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KTNEFParser</name>
      <anchorfile>classKTnef_1_1KTNEFParser.html</anchorfile>
      <anchor>48649f3a5ddc9d904d025e85f86d67a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KTNEFMessage *</type>
      <name>message</name>
      <anchorfile>classKTnef_1_1KTNEFParser.html</anchorfile>
      <anchor>7432a3fda12d8157b61d7ee1bb7ed8b1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>openDevice</name>
      <anchorfile>classKTnef_1_1KTNEFParser.html</anchorfile>
      <anchor>c88d858dd84e90087b3e2dbde5d79897</anchor>
      <arglist>(QIODevice *device)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>openFile</name>
      <anchorfile>classKTnef_1_1KTNEFParser.html</anchorfile>
      <anchor>d3532a9400975ee189d24f008c614af8</anchor>
      <arglist>(const QString &amp;filename) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDefaultExtractDir</name>
      <anchorfile>classKTnef_1_1KTNEFParser.html</anchorfile>
      <anchor>60c2fdee129f75d0721cac0255d52e82</anchor>
      <arglist>(const QString &amp;dirname)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KTNEFParser</name>
      <anchorfile>classKTnef_1_1KTNEFParser.html</anchorfile>
      <anchor>ca78eac5f61c1955fabe5b869cc32283</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTnef::KTNEFProperty</name>
    <filename>classKTnef_1_1KTNEFProperty.html</filename>
    <member kind="enumeration">
      <name>MAPIType</name>
      <anchorfile>classKTnef_1_1KTNEFProperty.html</anchorfile>
      <anchor>732725e93b3824f876551c9135658e3c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>UInt16</name>
      <anchorfile>classKTnef_1_1KTNEFProperty.html</anchorfile>
      <anchor>732725e93b3824f876551c9135658e3c0e59155e447bc5ef0467400f783f098e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ULong</name>
      <anchorfile>classKTnef_1_1KTNEFProperty.html</anchorfile>
      <anchor>732725e93b3824f876551c9135658e3cceb9761a02b77e1bba2918b90f4960f5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Float</name>
      <anchorfile>classKTnef_1_1KTNEFProperty.html</anchorfile>
      <anchor>732725e93b3824f876551c9135658e3c4ec4185fc138be484f2cdcfc1566503e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Double</name>
      <anchorfile>classKTnef_1_1KTNEFProperty.html</anchorfile>
      <anchor>732725e93b3824f876551c9135658e3c919033823e8483abb521fe3c7c11d065</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Boolean</name>
      <anchorfile>classKTnef_1_1KTNEFProperty.html</anchorfile>
      <anchor>732725e93b3824f876551c9135658e3c6cecd4c03ce2500ec3166390ea2d8a68</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Object</name>
      <anchorfile>classKTnef_1_1KTNEFProperty.html</anchorfile>
      <anchor>732725e93b3824f876551c9135658e3c3656f32600279b90df19bb65627a30fb</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Time</name>
      <anchorfile>classKTnef_1_1KTNEFProperty.html</anchorfile>
      <anchor>732725e93b3824f876551c9135658e3c6f1a61713c621846c6ebd74e2e252203</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>String8</name>
      <anchorfile>classKTnef_1_1KTNEFProperty.html</anchorfile>
      <anchor>732725e93b3824f876551c9135658e3c905eda24cfc0df486cf1ae3b9acdff87</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>UString</name>
      <anchorfile>classKTnef_1_1KTNEFProperty.html</anchorfile>
      <anchor>732725e93b3824f876551c9135658e3c0b2825981cdf1bfabb601d68b929b046</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Binary</name>
      <anchorfile>classKTnef_1_1KTNEFProperty.html</anchorfile>
      <anchor>732725e93b3824f876551c9135658e3cb28b6e9ae2c6eb51ad5295f9ed145437</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isVector</name>
      <anchorfile>classKTnef_1_1KTNEFProperty.html</anchorfile>
      <anchor>eda27dde66f141718f5919790229ad40</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>key</name>
      <anchorfile>classKTnef_1_1KTNEFProperty.html</anchorfile>
      <anchor>2e0103786e516ef713f0c08b45420b36</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>keyString</name>
      <anchorfile>classKTnef_1_1KTNEFProperty.html</anchorfile>
      <anchor>ae652210a305f5288347d4d6270eb788</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KTNEFProperty</name>
      <anchorfile>classKTnef_1_1KTNEFProperty.html</anchorfile>
      <anchor>68120bdd7df872e025e7b2d8308de27c</anchor>
      <arglist>(const KTNEFProperty &amp;p)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KTNEFProperty</name>
      <anchorfile>classKTnef_1_1KTNEFProperty.html</anchorfile>
      <anchor>3fbaf93ce82b86ccddd124e0c6690dc3</anchor>
      <arglist>(int key_, int type_, const QVariant &amp;value_, const QVariant &amp;name_=QVariant())</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KTNEFProperty</name>
      <anchorfile>classKTnef_1_1KTNEFProperty.html</anchorfile>
      <anchor>9ca801367b1d577f9046f2558897eef8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QVariant</type>
      <name>name</name>
      <anchorfile>classKTnef_1_1KTNEFProperty.html</anchorfile>
      <anchor>eaf5c96be4be290299cbc117024720ca</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KTNEFProperty &amp;</type>
      <name>operator=</name>
      <anchorfile>classKTnef_1_1KTNEFProperty.html</anchorfile>
      <anchor>15fe12f3a5e354f7f62d02640427591c</anchor>
      <arglist>(const KTNEFProperty &amp;other)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>type</name>
      <anchorfile>classKTnef_1_1KTNEFProperty.html</anchorfile>
      <anchor>dfd5d6806acecdb05f31a85245b35c28</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QVariant</type>
      <name>value</name>
      <anchorfile>classKTnef_1_1KTNEFProperty.html</anchorfile>
      <anchor>022aa9b0e5b7c24997e44448e082c201</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>valueString</name>
      <anchorfile>classKTnef_1_1KTNEFProperty.html</anchorfile>
      <anchor>3baf54db5bb7020946edb355f5337230</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KTNEFProperty</name>
      <anchorfile>classKTnef_1_1KTNEFProperty.html</anchorfile>
      <anchor>d865615e5c125b42ea0707ebb6d81d44</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>formatValue</name>
      <anchorfile>classKTnef_1_1KTNEFProperty.html</anchorfile>
      <anchor>deaa1a1c1a673f191755473e16e54611</anchor>
      <arglist>(const QVariant &amp;v, bool beautify=true)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTnef::KTNEFPropertySet</name>
    <filename>classKTnef_1_1KTNEFPropertySet.html</filename>
    <member kind="function">
      <type>void</type>
      <name>addAttribute</name>
      <anchorfile>classKTnef_1_1KTNEFPropertySet.html</anchorfile>
      <anchor>d97cb279227232e25235136ed1b0bb05</anchor>
      <arglist>(int key, int type, const QVariant &amp;value, bool overwrite=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addProperty</name>
      <anchorfile>classKTnef_1_1KTNEFPropertySet.html</anchorfile>
      <anchor>9fd78c3605ebe43676d5136254fbeac6</anchor>
      <arglist>(int key, int type, const QVariant &amp;value, const QVariant &amp;name=QVariant(), bool overwrite=false)</arglist>
    </member>
    <member kind="function">
      <type>QVariant</type>
      <name>attribute</name>
      <anchorfile>classKTnef_1_1KTNEFPropertySet.html</anchorfile>
      <anchor>fa98f9454c97579b5a08703a656a98ff</anchor>
      <arglist>(int key) const </arglist>
    </member>
    <member kind="function">
      <type>const QMap&lt; int, KTNEFProperty * &gt; &amp;</type>
      <name>attributes</name>
      <anchorfile>classKTnef_1_1KTNEFPropertySet.html</anchorfile>
      <anchor>5538af1b8ccd60d9531e4e47f3d236b1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QMap&lt; int, KTNEFProperty * &gt; &amp;</type>
      <name>attributes</name>
      <anchorfile>classKTnef_1_1KTNEFPropertySet.html</anchorfile>
      <anchor>3881d0c2dbb2267e87d497b9d883bfbd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchorfile>classKTnef_1_1KTNEFPropertySet.html</anchorfile>
      <anchor>5b7e41b907d6678de68b68df2b6c981e</anchor>
      <arglist>(bool deleteAll=false)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>findNamedProp</name>
      <anchorfile>classKTnef_1_1KTNEFPropertySet.html</anchorfile>
      <anchor>9f0278736bb45ef13127845e5570ee74</anchor>
      <arglist>(const QString &amp;name, const QString &amp;fallback=QString(), bool convertToUpper=false) const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>findProp</name>
      <anchorfile>classKTnef_1_1KTNEFPropertySet.html</anchorfile>
      <anchor>9d97156a1d718aa13e3bc198b3d8fcd1</anchor>
      <arglist>(int key, const QString &amp;fallback=QString(), bool convertToUpper=false) const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KTNEFPropertySet</name>
      <anchorfile>classKTnef_1_1KTNEFPropertySet.html</anchorfile>
      <anchor>523da6a608f11c94e074923c098b0ea8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const QMap&lt; int, KTNEFProperty * &gt; &amp;</type>
      <name>properties</name>
      <anchorfile>classKTnef_1_1KTNEFPropertySet.html</anchorfile>
      <anchor>13fe9817c31bf7840b9d24b94e583ce2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QMap&lt; int, KTNEFProperty * &gt; &amp;</type>
      <name>properties</name>
      <anchorfile>classKTnef_1_1KTNEFPropertySet.html</anchorfile>
      <anchor>111567e676072e938cf44e450e531809</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QVariant</type>
      <name>property</name>
      <anchorfile>classKTnef_1_1KTNEFPropertySet.html</anchorfile>
      <anchor>e2eb0c311307cb1a665db670f2e424b3</anchor>
      <arglist>(int key) const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KTNEFPropertySet</name>
      <anchorfile>classKTnef_1_1KTNEFPropertySet.html</anchorfile>
      <anchor>cb03a8a564c3b97a839cc56ee06e6a90</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTnef::KTNEFWriter</name>
    <filename>classKTnef_1_1KTNEFWriter.html</filename>
    <member kind="enumeration">
      <name>AlarmAction</name>
      <anchorfile>classKTnef_1_1KTNEFWriter.html</anchorfile>
      <anchor>2f466c319abd7e210eb38c08568bbb6b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Display</name>
      <anchorfile>classKTnef_1_1KTNEFWriter.html</anchorfile>
      <anchor>2f466c319abd7e210eb38c08568bbb6b0442a823f939a05d6f0fa7482540c289</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>MessageType</name>
      <anchorfile>classKTnef_1_1KTNEFWriter.html</anchorfile>
      <anchor>7f568c7d96292f6eb7974ad9d0c42570</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Appointment</name>
      <anchorfile>classKTnef_1_1KTNEFWriter.html</anchorfile>
      <anchor>7f568c7d96292f6eb7974ad9d0c425705b78c396a80a81a62a6265c9e0f6eb75</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>MeetingCancelled</name>
      <anchorfile>classKTnef_1_1KTNEFWriter.html</anchorfile>
      <anchor>7f568c7d96292f6eb7974ad9d0c42570c5b5985450e840da3a71d057d8f2e525</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>MeetingRequest</name>
      <anchorfile>classKTnef_1_1KTNEFWriter.html</anchorfile>
      <anchor>7f568c7d96292f6eb7974ad9d0c42570511e755e66d20fd39814cc0eaa6c6b95</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>MeetingNo</name>
      <anchorfile>classKTnef_1_1KTNEFWriter.html</anchorfile>
      <anchor>7f568c7d96292f6eb7974ad9d0c425701c76e14ab22544a6a28d97e5a717fa60</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>MeetingYes</name>
      <anchorfile>classKTnef_1_1KTNEFWriter.html</anchorfile>
      <anchor>7f568c7d96292f6eb7974ad9d0c42570771e678d6b9e5750133b4547305f17bf</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>MeetingTent</name>
      <anchorfile>classKTnef_1_1KTNEFWriter.html</anchorfile>
      <anchor>7f568c7d96292f6eb7974ad9d0c42570179693bd9a72ccc3155db4ae1bfe0e58</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>Method</name>
      <anchorfile>classKTnef_1_1KTNEFWriter.html</anchorfile>
      <anchor>afd264723694b82036cc7452bd8fce58</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>PublishNew</name>
      <anchorfile>classKTnef_1_1KTNEFWriter.html</anchorfile>
      <anchor>afd264723694b82036cc7452bd8fce5887a9403fca445c479226ce5167a59415</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Obsolete</name>
      <anchorfile>classKTnef_1_1KTNEFWriter.html</anchorfile>
      <anchor>afd264723694b82036cc7452bd8fce58f070366e226f63440379e367a23b90b4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>RequestNew</name>
      <anchorfile>classKTnef_1_1KTNEFWriter.html</anchorfile>
      <anchor>afd264723694b82036cc7452bd8fce5818d849254e92d78ba85cbe58c059d38a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>RequestUpdate</name>
      <anchorfile>classKTnef_1_1KTNEFWriter.html</anchorfile>
      <anchor>afd264723694b82036cc7452bd8fce587aa36266df7e99831426f187ce1c8d6f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Unknown</name>
      <anchorfile>classKTnef_1_1KTNEFWriter.html</anchorfile>
      <anchor>afd264723694b82036cc7452bd8fce582df7566f23214dd29709951373424806</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>PartStat</name>
      <anchorfile>classKTnef_1_1KTNEFWriter.html</anchorfile>
      <anchor>b52add352d147b319a83cb5345ff312b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>NeedsAction</name>
      <anchorfile>classKTnef_1_1KTNEFWriter.html</anchorfile>
      <anchor>b52add352d147b319a83cb5345ff312ba9e71cb1ff7d45041ab2cb5d901e62d8</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Accepted</name>
      <anchorfile>classKTnef_1_1KTNEFWriter.html</anchorfile>
      <anchor>b52add352d147b319a83cb5345ff312b5b0771e0c5757240d91754fa6c59cc4f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Declined</name>
      <anchorfile>classKTnef_1_1KTNEFWriter.html</anchorfile>
      <anchor>b52add352d147b319a83cb5345ff312b2ebb53f3c93fe060206f1ecb2d699064</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Tentative</name>
      <anchorfile>classKTnef_1_1KTNEFWriter.html</anchorfile>
      <anchor>b52add352d147b319a83cb5345ff312ba442c91f1be7f0e4cca8f407ac9ed21f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Delegated</name>
      <anchorfile>classKTnef_1_1KTNEFWriter.html</anchorfile>
      <anchor>b52add352d147b319a83cb5345ff312bb8d614880dd308be268bdb9c9113c307</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Completed</name>
      <anchorfile>classKTnef_1_1KTNEFWriter.html</anchorfile>
      <anchor>b52add352d147b319a83cb5345ff312b3359208fec6c56b79d4953e062ef49bb</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>InProcess</name>
      <anchorfile>classKTnef_1_1KTNEFWriter.html</anchorfile>
      <anchor>b52add352d147b319a83cb5345ff312ba8a8df97700670bd2e61f0828801fb1f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>Priority</name>
      <anchorfile>classKTnef_1_1KTNEFWriter.html</anchorfile>
      <anchor>828e284fe87fb98c9ef26655461253db</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>High</name>
      <anchorfile>classKTnef_1_1KTNEFWriter.html</anchorfile>
      <anchor>828e284fe87fb98c9ef26655461253db4223171e18006bbcb4c5054af8a09b59</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Normal</name>
      <anchorfile>classKTnef_1_1KTNEFWriter.html</anchorfile>
      <anchor>828e284fe87fb98c9ef26655461253db5a57e75fa731da3a86aa7ef03f1fde9f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Low</name>
      <anchorfile>classKTnef_1_1KTNEFWriter.html</anchorfile>
      <anchor>828e284fe87fb98c9ef26655461253dbe28a1a0376c467d51137d1fda662c01c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>Role</name>
      <anchorfile>classKTnef_1_1KTNEFWriter.html</anchorfile>
      <anchor>605acbfb8d7f7129e4f84d955d79041b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ReqParticipant</name>
      <anchorfile>classKTnef_1_1KTNEFWriter.html</anchorfile>
      <anchor>605acbfb8d7f7129e4f84d955d79041b3cc0a0f9929cb830ed3a32f6128a9609</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>OptParticipant</name>
      <anchorfile>classKTnef_1_1KTNEFWriter.html</anchorfile>
      <anchor>605acbfb8d7f7129e4f84d955d79041b2b624cbf5c70d692ee63222233ecb727</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>NonParticipant</name>
      <anchorfile>classKTnef_1_1KTNEFWriter.html</anchorfile>
      <anchor>605acbfb8d7f7129e4f84d955d79041bf0bbeee70824a281b2ac88cecc29c00b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Chair</name>
      <anchorfile>classKTnef_1_1KTNEFWriter.html</anchorfile>
      <anchor>605acbfb8d7f7129e4f84d955d79041b350044164df72ccd4c5be214791963c1</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addAttendee</name>
      <anchorfile>classKTnef_1_1KTNEFWriter.html</anchorfile>
      <anchor>f6dd0c3045ad01d059b1d469f9579c68</anchor>
      <arglist>(const QString &amp;name, Role role, PartStat partstat, bool rsvp, const QString &amp;email)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addProperty</name>
      <anchorfile>classKTnef_1_1KTNEFWriter.html</anchorfile>
      <anchor>a1f75842926e1c91e439c67a46129bdc</anchor>
      <arglist>(int tag, int type, const QVariant &amp;value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clearAttendees</name>
      <anchorfile>classKTnef_1_1KTNEFWriter.html</anchorfile>
      <anchor>4319c7ca840788caf240d9060f687312</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KTNEFWriter</name>
      <anchorfile>classKTnef_1_1KTNEFWriter.html</anchorfile>
      <anchor>4908c6ee0c944a539b65cb18c2412029</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAlarm</name>
      <anchorfile>classKTnef_1_1KTNEFWriter.html</anchorfile>
      <anchor>3d8df922f9ba1d3794369a0b57652913</anchor>
      <arglist>(const QString &amp;description, AlarmAction action, const QDateTime &amp;wakeBefore)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCategories</name>
      <anchorfile>classKTnef_1_1KTNEFWriter.html</anchorfile>
      <anchor>6ccc7bad74a05a115b2aee28d7d037e6</anchor>
      <arglist>(const QStringList &amp;categories)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDescription</name>
      <anchorfile>classKTnef_1_1KTNEFWriter.html</anchorfile>
      <anchor>eb2b98c81ff2a60a0757851296bdb128</anchor>
      <arglist>(const QString &amp;description)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDtEnd</name>
      <anchorfile>classKTnef_1_1KTNEFWriter.html</anchorfile>
      <anchor>b9a080e74d6a6e057cfada90267ca2fe</anchor>
      <arglist>(const QDateTime &amp;dtEnd)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDtStamp</name>
      <anchorfile>classKTnef_1_1KTNEFWriter.html</anchorfile>
      <anchor>6c2e3a8340bd0390c4d294c90acd8382</anchor>
      <arglist>(const QDateTime &amp;dtStamp)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDtStart</name>
      <anchorfile>classKTnef_1_1KTNEFWriter.html</anchorfile>
      <anchor>c4193854cf70ad52cd58f08480f8c202</anchor>
      <arglist>(const QDateTime &amp;dtStart)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setLocation</name>
      <anchorfile>classKTnef_1_1KTNEFWriter.html</anchorfile>
      <anchor>a1e2a9c8476549f4402ebb1df5ecf6c9</anchor>
      <arglist>(const QString &amp;location)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMessageType</name>
      <anchorfile>classKTnef_1_1KTNEFWriter.html</anchorfile>
      <anchor>f47b8d07714a8aa3c055bab0bd41237d</anchor>
      <arglist>(MessageType methodType)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMethod</name>
      <anchorfile>classKTnef_1_1KTNEFWriter.html</anchorfile>
      <anchor>99c4223a4e0d4cce8c0a6fb3c69663b4</anchor>
      <arglist>(Method method)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setOrganizer</name>
      <anchorfile>classKTnef_1_1KTNEFWriter.html</anchorfile>
      <anchor>42bb352447a064ebe1b07d53ede733f5</anchor>
      <arglist>(const QString &amp;organizer)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPriority</name>
      <anchorfile>classKTnef_1_1KTNEFWriter.html</anchorfile>
      <anchor>10f406239ad9c02d9c05936a1afd1069</anchor>
      <arglist>(Priority priority)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSender</name>
      <anchorfile>classKTnef_1_1KTNEFWriter.html</anchorfile>
      <anchor>ee4fcb32d8e2dc1ed05ba6b79ef5a082</anchor>
      <arglist>(const QString &amp;name, const QString &amp;email)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSummary</name>
      <anchorfile>classKTnef_1_1KTNEFWriter.html</anchorfile>
      <anchor>a98a07dc85af2bee9b3316b16aadb82a</anchor>
      <arglist>(const QString &amp;summary)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUID</name>
      <anchorfile>classKTnef_1_1KTNEFWriter.html</anchorfile>
      <anchor>f91000c800d0b8b1a190f24c9351eb05</anchor>
      <arglist>(const QString &amp;uid)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>writeFile</name>
      <anchorfile>classKTnef_1_1KTNEFWriter.html</anchorfile>
      <anchor>b5b212f80377caeadd9bc578dbe2b1ac</anchor>
      <arglist>(QDataStream &amp;stream) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>writeFile</name>
      <anchorfile>classKTnef_1_1KTNEFWriter.html</anchorfile>
      <anchor>81c31c236f29c37a4284046b565d9023</anchor>
      <arglist>(QIODevice &amp;file) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>writeProperty</name>
      <anchorfile>classKTnef_1_1KTNEFWriter.html</anchorfile>
      <anchor>e69d4e7fb00bf283ab76ba11b35866d4</anchor>
      <arglist>(QDataStream &amp;stream, int &amp;bytes, int tag) const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KTNEFWriter</name>
      <anchorfile>classKTnef_1_1KTNEFWriter.html</anchorfile>
      <anchor>82f31f8f1ad4491538f544abb29387b0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
</tagfile>
