<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>index</name>
    <title>KIMAP - an API for handling IMAP data.</title>
    <filename>index</filename>
    <docanchor file="index">desc</docanchor>
    <docanchor file="index">purpose</docanchor>
  </compound>
  <compound kind="file">
    <name>rfccodecs.cpp</name>
    <path>/builddir/build/BUILD/kdepimlibs-4.0.85/kimap/</path>
    <filename>rfccodecs_8cpp</filename>
    <includes id="rfccodecs_8h" name="rfccodecs.h" local="yes" imported="no">rfccodecs.h</includes>
    <member kind="function">
      <type>QTextCodec *</type>
      <name>codecForName</name>
      <anchorfile>namespaceKIMAP.html</anchorfile>
      <anchor>6e32fa554b8242f7d67401daaca1c8dc</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>decodeImapFolderName</name>
      <anchorfile>namespaceKIMAP.html</anchorfile>
      <anchor>e046fb92ed43140f25965321ea62d462</anchor>
      <arglist>(const QString &amp;inSrc)</arglist>
    </member>
    <member kind="function">
      <type>const QString</type>
      <name>decodeRFC2047String</name>
      <anchorfile>namespaceKIMAP.html</anchorfile>
      <anchor>81bbf0c8fd057663c6a4574eed8a11dc</anchor>
      <arglist>(const QString &amp;str, QString &amp;charset, QString &amp;language)</arglist>
    </member>
    <member kind="function">
      <type>const QString</type>
      <name>decodeRFC2047String</name>
      <anchorfile>namespaceKIMAP.html</anchorfile>
      <anchor>7f571f3ad72b9bba0bf3504efa82daf1</anchor>
      <arglist>(const QString &amp;str, QString &amp;charset)</arglist>
    </member>
    <member kind="function">
      <type>const QString</type>
      <name>decodeRFC2047String</name>
      <anchorfile>namespaceKIMAP.html</anchorfile>
      <anchor>0b41b4834a111d8f0e115fad748b6e09</anchor>
      <arglist>(const QString &amp;str)</arglist>
    </member>
    <member kind="function">
      <type>const QString</type>
      <name>decodeRFC2231String</name>
      <anchorfile>namespaceKIMAP.html</anchorfile>
      <anchor>5025253d705bd2db7023599492bf52b1</anchor>
      <arglist>(const QString &amp;str)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>encodeImapFolderName</name>
      <anchorfile>namespaceKIMAP.html</anchorfile>
      <anchor>af7518fb5ceae5a79b2282b352808d61</anchor>
      <arglist>(const QString &amp;src)</arglist>
    </member>
    <member kind="function">
      <type>const QByteArray</type>
      <name>encodeRFC2047String</name>
      <anchorfile>namespaceKIMAP.html</anchorfile>
      <anchor>33e436ce3a260448d250c1100a1acdb2</anchor>
      <arglist>(const QByteArray &amp;str)</arglist>
    </member>
    <member kind="function">
      <type>const QString</type>
      <name>encodeRFC2047String</name>
      <anchorfile>namespaceKIMAP.html</anchorfile>
      <anchor>42a56552fdda1714ebc173b0e13f8662</anchor>
      <arglist>(const QString &amp;str)</arglist>
    </member>
    <member kind="function">
      <type>const QString</type>
      <name>encodeRFC2231String</name>
      <anchorfile>namespaceKIMAP.html</anchorfile>
      <anchor>c3a47ab637f6f1a5c6f92d929419eaf9</anchor>
      <arglist>(const QString &amp;str)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>quoteIMAP</name>
      <anchorfile>namespaceKIMAP.html</anchorfile>
      <anchor>31bfe00da747ba150749a65340ae22f6</anchor>
      <arglist>(const QString &amp;src)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>rfccodecs.h</name>
    <path>/builddir/build/BUILD/kdepimlibs-4.0.85/kimap/</path>
    <filename>rfccodecs_8h</filename>
    <member kind="function">
      <type>QTextCodec *</type>
      <name>codecForName</name>
      <anchorfile>namespaceKIMAP.html</anchorfile>
      <anchor>6e32fa554b8242f7d67401daaca1c8dc</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>decodeImapFolderName</name>
      <anchorfile>namespaceKIMAP.html</anchorfile>
      <anchor>e046fb92ed43140f25965321ea62d462</anchor>
      <arglist>(const QString &amp;inSrc)</arglist>
    </member>
    <member kind="function">
      <type>const QString</type>
      <name>decodeRFC2047String</name>
      <anchorfile>namespaceKIMAP.html</anchorfile>
      <anchor>0b41b4834a111d8f0e115fad748b6e09</anchor>
      <arglist>(const QString &amp;str)</arglist>
    </member>
    <member kind="function">
      <type>const QString</type>
      <name>decodeRFC2047String</name>
      <anchorfile>namespaceKIMAP.html</anchorfile>
      <anchor>7f571f3ad72b9bba0bf3504efa82daf1</anchor>
      <arglist>(const QString &amp;str, QString &amp;charset)</arglist>
    </member>
    <member kind="function">
      <type>const QString</type>
      <name>decodeRFC2047String</name>
      <anchorfile>namespaceKIMAP.html</anchorfile>
      <anchor>81bbf0c8fd057663c6a4574eed8a11dc</anchor>
      <arglist>(const QString &amp;str, QString &amp;charset, QString &amp;language)</arglist>
    </member>
    <member kind="function">
      <type>const QString</type>
      <name>decodeRFC2231String</name>
      <anchorfile>namespaceKIMAP.html</anchorfile>
      <anchor>5025253d705bd2db7023599492bf52b1</anchor>
      <arglist>(const QString &amp;str)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>encodeImapFolderName</name>
      <anchorfile>namespaceKIMAP.html</anchorfile>
      <anchor>af7518fb5ceae5a79b2282b352808d61</anchor>
      <arglist>(const QString &amp;src)</arglist>
    </member>
    <member kind="function">
      <type>const QByteArray</type>
      <name>encodeRFC2047String</name>
      <anchorfile>namespaceKIMAP.html</anchorfile>
      <anchor>33e436ce3a260448d250c1100a1acdb2</anchor>
      <arglist>(const QByteArray &amp;str)</arglist>
    </member>
    <member kind="function">
      <type>const QString</type>
      <name>encodeRFC2047String</name>
      <anchorfile>namespaceKIMAP.html</anchorfile>
      <anchor>42a56552fdda1714ebc173b0e13f8662</anchor>
      <arglist>(const QString &amp;str)</arglist>
    </member>
    <member kind="function">
      <type>const QString</type>
      <name>encodeRFC2231String</name>
      <anchorfile>namespaceKIMAP.html</anchorfile>
      <anchor>c3a47ab637f6f1a5c6f92d929419eaf9</anchor>
      <arglist>(const QString &amp;str)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>quoteIMAP</name>
      <anchorfile>namespaceKIMAP.html</anchorfile>
      <anchor>31bfe00da747ba150749a65340ae22f6</anchor>
      <arglist>(const QString &amp;src)</arglist>
    </member>
  </compound>
</tagfile>
